- [HTTP request](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.ListPagesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#try-it)

Returns the list of all pages in the specified flow.

### HTTP request

Choose an endpoint:
global   
`GET https://dialogflow.googleapis.com/v3/{parent=projects/*/locations/*/agents/*/flows/*}/pages`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`GET https://{endpoint}/v3/{parent=projects/*/locations/*/agents/*/flows/*}/pages`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The flow to list all pages for. Format: `projects/<ProjectID>/locations/<LocationID>/agents/<AgentID>/flows/<FlowID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dialogflow.pages.list` |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` The language to list pages for. The following fields are language dependent: - `Page.entry_fulfillment.messages` - `Page.entry_fulfillment.conditional_cases` - `Page.event_handlers.trigger_fulfillment.messages` - `Page.event_handlers.trigger_fulfillment.conditional_cases` - `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` \* `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` - `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` \* `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` - `Page.transition_routes.trigger_fulfillment.messages` - `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used. |
| `pageSize` | `integer` The maximum number of items to return in a single page. By default 100 and at most 1000. |
| `pageToken` | `string` The nextPageToken value returned from a previous list request. |

### Request body

The request body must be empty.

### Response body

The response message for `https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages/list#google.cloud.dialogflow.cx.v3.Pages.ListPages`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pages": [ { object (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages#Page`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `pages[]` | ``object (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.flows.pages#Page`)`` The list of pages. There will be a maximum number of items returned based on the pageSize field in the request. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).